define({ "api": [
  {
    "type": "post",
    "url": "/tmtransaction/action/trademarktransaction/springBoard",
    "title": "批量发布",
    "group": "标源管理",
    "parameter": {
      "examples": [
        {
          "title": "请求参数",
          "content": "{\n          \"actionType\": \"tmBatchUpload\",\n          \"actionBody\": {\n            \"tm\": [{\n              \"code\": \"123123\",\n              \"name\": \"商标名字\",\n              \"channel_code\": \"18\",\n              \"channel_name\": \"ali\",\n              \"tm_applier\": \"18\",\n              \"ncl_one_code\": \"ali\",\n              \"business_quoted_price\": \"123\",\n              \"platform_quoted_price\": \"123\",\n              \"pic_url\": \"123\",\n              \"publish_status_name\": \"123\",\n              \"publish_status\": \"audit\",\n              \"tm_group\":\"123\",\n              \"tm_service_item\":\"123\",\n              \"tm_introduction\":\"123\",\n              \"tm_start_day\":\"123\",\n              \"tm_end_day\":\"123\",\n              \"contacts\":\"13911391996\",\n              \"mobile\":\"13911391996\",\n              \"notes\":\"13911391996\",\n              \"op_notes\":\"13911391996\",\n              \"excelName\": \"商标名字\",//上传时的商标名\n              \"trademark_type\":\"ordinary\",\n              \"tm_regist_day\":\"123\",\n              \"tm_ncl_third\":\"123\"\n            }]\n          }\n        }",
          "type": "json"
        }
      ]
    },
    "success": {
      "examples": [
        {
          "title": "成功示例:",
          "content": "{\n            \"status\": 1,\n            \"message\": \"success\",\n            \"data\": [\n                {\n                    \"id\": 175625,\n                    \"code\": \"123123\",\n                    \"name\": \"商标名字\",//商标名称 这个是es真实的商标名字\n                    \"channel_code\": \"18\",\n                    \"channel_name\": \"ali\",\n                    \"excelName\": \"商标名字\",// 上传时的商标名\n                    \"tm_applier\": \"18\",\n                    \"ncl_one_code\": \"ali\",\n                    \"business_quoted_price\": \"123\",\n                    \"platform_quoted_price\": \"123\",\n                    \"pic_url\": \"123\",\n                    \"publish_status_name\": \"审核中\",\n                    \"publish_status\": \"audit\",\n                    \"tm_group\": \"123\",\n                    \"tm_service_item\": \"123\",\n                    \"tm_introduction\": \"123\",\n                    \"tm_start_day\": \"0122-12-31T15:54:17.000Z\",\n                    \"tm_end_day\": \"0122-12-31T15:54:17.000Z\",\n                    \"contacts\": \"13911391996\",\n                    \"mobile\": \"13911391996\",\n                    \"notes\": \"13911391996\",\n                    \"op_notes\": \"13911391996\",\n                    \"trademark_type_name\": \"普通商标\",\n                    \"trademark_type\": \"ordinary\",\n                    \"tm_regist_day\": \"123\",\n                    \"tm_ncl_third\": \"123\",\n                    \"created_at\": \"2020-09-03T08:43:35.602Z\",\n                    \"updated_at\": \"2020-09-03T08:43:35.602Z\",\n                    \"version\": 0\n                }\n            ],\n            \"requestId\": \"8e1f04d0-edc1-11ea-8143-5f78fb49f643\"\n        }",
          "type": "json"
        }
      ]
    },
    "error": {
      "examples": [
        {
          "title": "失败示例:",
          "content": "{\"error\": \"\"}",
          "type": "json"
        }
      ]
    },
    "version": "0.0.0",
    "filename": "app/base/service/impl/tm/trademarktransactionSve.js",
    "groupTitle": "标源管理",
    "name": "PostTmtransactionActionTrademarktransactionSpringboard"
  },
  {
    "type": "post",
    "url": "/tmtransaction/action/trademarktransaction/springBoard",
    "title": "标原列表",
    "group": "标源管理",
    "parameter": {
      "examples": [
        {
          "title": "请求参数",
          "content": "{\n      \t\"actionType\": \"tmInfo\",\n      \t\"actionBody\": {\n          \"channel_code\": \"18\"// 必填 渠道码 从中台权限获取到\n          \"pageSize\":10,// 每页数量\n          \"pageNumber\":4,// 页\n          \"excelName\": \"商标名字\",// 商标名字 注意这里 name修改为execlName\n          \"code\": \"商标号\",\n          \"channel_name\": \"申请主体\"\n          \"stdate\":\"2020-09-02 11:30:11\",// 专用期限 需要同时传参\n\t\t      \"endate\":\"2020-09-02 11:35:11\"\n      \t}\n      }",
          "type": "json"
        }
      ]
    },
    "success": {
      "examples": [
        {
          "title": "成功示例:",
          "content": "{\n          \"status\": 1,\n          \"message\": \"success\",\n          \"data\": [\n              {\n                  \"id\": 175623,\n                  \"pic_url\": \"123\",\n                  \"excelName\": \"商标名字\",\n                  \"code\": \"123123\",\n                  \"ncl_one_code\": \"ali\",\n                  \"channel_name\": \"ali\",\n                  \"business_quoted_price\": \"123\",\n                  \"tm_start_day\": \"0122-12-31T15:54:17.000Z\",\n                  \"tm_end_day\": \"0122-12-31T15:54:17.000Z\",\n                  \"publish_status_name\": \"审核中\",\n                  \"created_at\": \"2020-09-03T03:08:24.000Z\"\n              },\n              {\n                  \"id\": 175624,\n                  \"pic_url\": \"123\",\n                  \"excelName\": \"商标名字\",\n                  \"code\": \"123123\",\n                  \"ncl_one_code\": \"ali\",\n                  \"channel_name\": null,\n                  \"business_quoted_price\": \"123\",\n                  \"tm_start_day\": \"0122-12-31T15:54:17.000Z\",\n                  \"tm_end_day\": \"0122-12-31T15:54:17.000Z\",\n                  \"publish_status_name\": \"审核中\",\n                  \"created_at\": \"2020-09-03T03:08:24.000Z\"\n              }\n          ],\n          \"totalCount\": 2,\n          \"requestId\": \"f5170ae0-edab-11ea-876c-a369a023378f\"\n      }",
          "type": "json"
        }
      ]
    },
    "error": {
      "examples": [
        {
          "title": "失败示例:",
          "content": "{\"error\": \"\"}",
          "type": "json"
        }
      ]
    },
    "version": "0.0.0",
    "filename": "app/base/service/impl/tm/trademarktransactionSve.js",
    "groupTitle": "标源管理",
    "name": "PostTmtransactionActionTrademarktransactionSpringboard"
  },
  {
    "type": "post",
    "url": "/tmtransaction/action/trademarktransaction/springBoard",
    "title": "标原详情",
    "group": "标源管理",
    "parameter": {
      "examples": [
        {
          "title": "请求参数",
          "content": "{\n      \t\"actionType\": \"tmDetail\",\n      \t\"actionBody\": {\n      \t\t\"tmId\": \"175624\"// id\n      \t}\n      }",
          "type": "json"
        }
      ]
    },
    "success": {
      "examples": [
        {
          "title": "成功示例:",
          "content": "{\n        \"status\": 1,\n        \"message\": \"success\",\n        \"data\": {\n            \"id\": 175624,\n            \"code\": \"123123\",//唯一码 商标号\n            \"name\": \"商标名字\",//商标名称\n            \"channel_code\": \"18\",// 2020 0901 lin 新增 渠道号\n            \"channel_name\": null,// 2020 0901 lin 新增 渠道名字\n            \"excelName\": \"123\",//上传时的商标名\n            \"tm_applier\": \"18\",//商标申请主体\n            \"ncl_one_code\": \"ali\",//商标大类编码\n            \"business_quoted_price\": \"123\",//商家报价\n            \"platform_quoted_price\": \"123\",//平台售价\n            \"pic_url\": \"123\",//商标图样\n            \"publish_status_name\": \"审核中\",//商标发布状态名称\n            \"publish_status\": \"audit\",\n            \"tm_group\": \"123\",//当前群组\n            \"tm_service_item\": \"123\",//商品/服务项\n            \"tm_introduction\": \"123\",//商标简介\n            \"tm_start_day\": \"0122-12-31T15:54:17.000Z\",//商标生效时间\n            \"tm_end_day\": \"0122-12-31T15:54:17.000Z\",\n            \"contacts\": \"13911391996\",//联系人\n            \"mobile\": \"13911391996\",//联系电话\n            \"notes\": \"13911391996\",//备注 1\n            \"op_notes\": \"13911391996\",//操作备注  1 \n            \"trademark_type_name\": \"普通商标\",\n            \"trademark_type\": \"ordinary\",// 商标类型\n            \"tm_regist_day\": \"123\",\n            \"tm_ncl_third\": \"123\",\n            \"created_at\": \"2020-09-03T03:08:24.000Z\",\n            \"updated_at\": \"2020-09-03T03:08:24.000Z\",\n            \"deleted_at\": null,\n            \"version\": 0\n        },\n        \"requestId\": \"164bce10-edbd-11ea-b4a6-c1bbab30b7b2\"\n      }",
          "type": "json"
        }
      ]
    },
    "error": {
      "examples": [
        {
          "title": "失败示例:",
          "content": "{\"error\": \"\"}",
          "type": "json"
        }
      ]
    },
    "version": "0.0.0",
    "filename": "app/base/service/impl/tm/trademarktransactionSve.js",
    "groupTitle": "标源管理",
    "name": "PostTmtransactionActionTrademarktransactionSpringboard"
  },
  {
    "type": "post",
    "url": "/tmtransaction/action/trademarktransaction/springBoard",
    "title": "修改",
    "group": "标源管理",
    "parameter": {
      "examples": [
        {
          "title": "请求参数",
          "content": "{\n      \t\"actionType\": \"tmDetail\",\n      \t\"actionBody\": {\n\t        \"id\": 1756266,\n          \"code\": \"123123\",\n          \"name\": \"商标名字update\",\n          \"channel_code\": \"18\",\n          \"channel_name\": null,\n          \"excelName\": \"123\",\n          \"tm_applier\": \"18\",\n          \"ncl_one_code\": \"ali\",\n          \"business_quoted_price\": \"123\",\n          \"platform_quoted_price\": \"123\",\n          \"pic_url\": \"123\",\n          \"publish_status_name\": \"审核中\",\n          \"publish_status\": \"audit\",\n          \"tm_group\": \"123\",\n          \"tm_service_item\": \"123\",\n          \"tm_introduction\": \"123\",\n          \"tm_start_day\": \"0122-12-31T15:54:17.000Z\",\n          \"tm_end_day\": \"0122-12-31T15:54:17.000Z\",\n          \"contacts\": \"13911391996\",\n          \"mobile\": \"13911391996\",\n          \"notes\": \"13911391996\",\n          \"op_notes\": \"13911391996\",\n          \"trademark_type_name\": \"普通商标\",\n          \"trademark_type\": \"ordinary\",\n          \"tm_regist_day\": \"123\",\n          \"tm_ncl_third\": \"123\",\n          \"created_at\": \"2020-09-03T03:08:24.000Z\",\n          \"updated_at\": \"2020-09-03T03:08:24.000Z\",\n          \"deleted_at\": null,\n          \"version\": 0\n        }\n      }",
          "type": "json"
        }
      ]
    },
    "success": {
      "examples": [
        {
          "title": "成功示例:",
          "content": "{\"status\":1,\"message\":\"success\",\"data\":{},\"requestId\":\"eee13d10-eddf-11ea-8742-4b968455d94c\"}",
          "type": "json"
        }
      ]
    },
    "error": {
      "examples": [
        {
          "title": "失败示例:",
          "content": "{\"error\": \"\"}",
          "type": "json"
        }
      ]
    },
    "version": "0.0.0",
    "filename": "app/base/service/impl/tm/trademarktransactionSve.js",
    "groupTitle": "标源管理",
    "name": "PostTmtransactionActionTrademarktransactionSpringboard"
  },
  {
    "type": "post",
    "url": "/tmtransaction/action/trademarktransaction/springBoard",
    "title": "删除",
    "group": "标源管理",
    "parameter": {
      "examples": [
        {
          "title": "请求参数",
          "content": "{\n      \t\"actionType\": \"tmInfoDelete\",\n      \t\"actionBody\": {\n      \t\t\"id\": \"175624\"\n      \t}\n      }",
          "type": "json"
        }
      ]
    },
    "success": {
      "examples": [
        {
          "title": "成功示例:",
          "content": "{\"status\":1,\"message\":\"success\",\"data\":{},\"requestId\":\"3ce70210-ee53-11ea-b8db-25de5bfcf939\"}",
          "type": "json"
        }
      ]
    },
    "error": {
      "examples": [
        {
          "title": "失败示例:",
          "content": "{\"error\": \"\"}",
          "type": "json"
        }
      ]
    },
    "version": "0.0.0",
    "filename": "app/base/service/impl/tm/trademarktransactionSve.js",
    "groupTitle": "标源管理",
    "name": "PostTmtransactionActionTrademarktransactionSpringboard"
  }
] });
